- Main Page
- Classes
- Files
- Directories
- Examples

- File List
- File Members

Defines | Functions

# fbxtimecode.h File Reference

`#include <fbxsdk/fbxsdk_def.h>`
`#include <fbxsdk/fbxsdk_nsbegin.h>`
`#include <fbxsdk/fbxsdk_nsend.h>`

Go to the source code of this file.

## Defines
#define | FBXSDK_TC_ZERO FBXSDK_LONGLONG(0)
#define | FBXSDK_TC_EPSILON FBXSDK_LONGLONG(1)
#define | FBXSDK_TC_MINFINITY FBXSDK_LONGLONG(-0x7fffffffffffffff)
#define | FBXSDK_TC_INFINITY FBXSDK_LONGLONG(0x7fffffffffffffff)
#define | FBXSDK_TC_FIX_DEN FBXSDK_LONGLONG(100000000)
#define | FBXSDK_TC_MILLISECOND FBXSDK_LONGLONG(46186158)
#define | FBXSDK_TC_SECOND FbxLongLong(FBXSDK_TC_MILLISECOND*1000)
#define | FBXSDK_TC_MINUTE FbxLongLong(FBXSDK_TC_SECOND*60)
#define | FBXSDK_TC_HOUR FbxLongLong(FBXSDK_TC_MINUTE*60)
#define | FBXSDK_TC_DAY FbxLongLong(FBXSDK_TC_HOUR*24)
#define | FBXSDK_TC_NTSC_FIELD FbxLongLong(FBXSDK_TC_SECOND/30/2)
#define | FBXSDK_TC_NTSC_FRAME FbxLongLong(FBXSDK_TC_SECOND/30)
#define | FBXSDK_TC_MNTSC_FIELD FbxLongLong(FBXSDK_TC_MNTSC_FRAME/2)
#define | FBXSDK_TC_MNTSC_FRAME FbxLongLong(FBXSDK_TC_SECOND/30*1001/1000)
#define | FBXSDK_TC_MNTSC_2_FRAMES FbxLongLong(FBXSDK_TC_MNTSC_FRAME*2)
#define | FBXSDK_TC_MNTSC_30_FRAMES FbxLongLong(FBXSDK_TC_MNTSC_FRAME*30)
#define | FBXSDK_TC_MNTSC_1798_FRAMES FbxLongLong(FBXSDK_TC_MNTSC_FRAME*1798)
#define | FBXSDK_TC_MNTSC_1800_FRAMES FbxLongLong(FBXSDK_TC_MNTSC_FRAME*1800)
#define | FBXSDK_TC_MNTSC_17982_FRAMES FbxLongLong(FBXSDK_TC_MNTSC_FRAME*17982)
#define | FBXSDK_TC_MNTSC_107892_FRAMES FbxLongLong(FBXSDK_TC_MNTSC_FRAME*107892)
#define | FBXSDK_TC_MNTSC_108000_FRAMES FbxLongLong(FBXSDK_TC_MNTSC_FRAME*108000)
#define | FBXSDK_TC_MNTSC_1_SECOND FbxLongLong(FBXSDK_TC_MNTSC_FRAME*30)
#define | FBXSDK_TC_MNTSC_1_MINUTE FbxLongLong(FBXSDK_TC_MNTSC_1_SECOND*60)
#define | FBXSDK_TC_MNTSC_1_HOUR FbxLongLong(FBXSDK_TC_MNTSC_1_SECOND*3600)
#define | FBXSDK_TC_MNTSC_NUM FbxULong(FBXSDK_TC_FIX_DEN*1000*30/1001)
#define | FBXSDK_TC_MNTSC_DEN FBXSDK_TC_FIX_DEN
#define | FBXSDK_TC_PAL_FIELD FbxLongLong(FBXSDK_TC_SECOND/25/2)
#define | FBXSDK_TC_PAL_FRAME FbxLongLong(FBXSDK_TC_SECOND/25)
#define | FBXSDK_TC_FILM_FRAME FbxLongLong(FBXSDK_TC_SECOND/24)
#define | FBXSDK_TC_MFILM_FIELD FbxLongLong(FBXSDK_TC_MFILM_FRAME/2)
#define | FBXSDK_TC_MFILM_FRAME FbxLongLong(FBXSDK_TC_SECOND/24*1001/1000)
#define | FBXSDK_TC_MFILM_1_SECOND FbxLongLong(FBXSDK_TC_MFILM_FRAME*24)
#define | FBXSDK_TC_MFILM_1_MINUTE FbxLongLong(FBXSDK_TC_MFILM_1_SECOND*60)
#define | FBXSDK_TC_MFILM_1_HOUR FbxLongLong(FBXSDK_TC_MFILM_1_SECOND*3600)
#define | FBXSDK_TC_MFILM_NUM FbxULong(FBXSDK_TC_FIX_DEN*1000*24/1001)
#define | FBXSDK_TC_MFILM_DEN FBXSDK_TC_FIX_DEN
#define | FBXSDK_TC_REM(quot, num, den) ((quot) = (num) / (den), (quot) * (den))
#define | FBXSDK_TC_HOUR_REM(quot, num, den) ((quot) = ((num - (-FbxLongLong(num < 0) & (den - 1))) / (den)), (quot) * (den))
## Functions
FBXSDK_DLL FbxLongLong | FbxTCSeconds (FbxLongLong pTime)
FBXSDK_DLL FbxLongLong | FbxTCMinutes (FbxLongLong pTime)
FBXSDK_DLL FbxLongLong | FbxTCHours (FbxLongLong pTime)
FBXSDK_DLL FbxLongLong | FbxTCSetRate (int pHour, int pMinute, int pSecond, FbxLongLong pFrame, FbxLongLong pPeriod)
FBXSDK_DLL FbxLongLong | FbxTCGetRate (FbxLongLong pTime, int &pHour, int &pMinute, int &pSecond, int &pFrame, FbxLongLong pPeriod)
FBXSDK_DLL FbxLongLong | FbxTCSetNTSC (int pHour, int pMinute, int pSecond, FbxLongLong pFrame, int pField)
FBXSDK_DLL FbxLongLong | FbxTCGetNTSC (FbxLongLong pTime, int &pHour, int &pMinute, int &pSecond, int &pFrame, int &pField)
FBXSDK_DLL FbxLongLong | FbxTCSetMNTSCnd (int pHour, int pMinute, int pSecond, FbxLongLong pFrame, int pField)
FBXSDK_DLL FbxLongLong | FbxTCGetMNTSCnd (FbxLongLong pTime, int &pHour, int &pMinute, int &pSecond, int &pFrame, int &pField)
FBXSDK_DLL FbxLongLong | FbxTCSetMNTSC_2Xnd (int pHour, int pMinute, int pSecond, FbxLongLong pFrame, int pField)
FBXSDK_DLL FbxLongLong | FbxTCGetMNTSC_2Xnd (FbxLongLong pTime, int &pHour, int &pMinute, int &pSecond, int &pFrame, int &pField)
FBXSDK_DLL FbxLongLong | FbxTCSetMNTSC (int pHour, int pMinute, int pSecond, FbxLongLong pFrame, int pField)
FBXSDK_DLL FbxLongLong | FbxTCGetMNTSC (FbxLongLong pTime, int &pHour, int &pMinute, int &pSecond, int &pFrame, int &pField)
FBXSDK_DLL FbxLongLong | FbxTCSetPAL (int pHour, int pMinute, int pSecond, FbxLongLong pFrame, int pField)
FBXSDK_DLL FbxLongLong | FbxTCGetPAL (FbxLongLong pTime, int &pHour, int &pMinute, int &pSecond, int &pFrame, int &pField)
FBXSDK_DLL FbxLongLong | FbxTCSetFILM (int pHour, int pMinute, int pSecond, FbxLongLong pFrame)
FBXSDK_DLL FbxLongLong | FbxTCGetFILM (FbxLongLong pTime, int &pHour, int &pMinute, int &pSecond, int &pFrame)
FBXSDK_DLL FbxLongLong | FbxTCSetFILMND (int pHour, int pMinute, int pSecond, FbxLongLong pFrame, int pField)
FBXSDK_DLL FbxLongLong | FbxTCGetFILMND (FbxLongLong pTime, int &pHour, int &pMinute, int &pSecond, int &pFrame, int &pField)

## Detailed Description

Definition in file fbxtimecode.h.

## Define Documentation

#define FBXSDK_TC_ZERO FBXSDK_LONGLONG(0)

Search for all occurrences

Definition at line 20 of file fbxtimecode.h.

#define FBXSDK_TC_EPSILON FBXSDK_LONGLONG(1)

Search for all occurrences

Definition at line 21 of file fbxtimecode.h.

#define FBXSDK_TC_MINFINITY FBXSDK_LONGLONG(-0x7fffffffffffffff)

Search for all occurrences

Definition at line 22 of file fbxtimecode.h.

#define FBXSDK_TC_INFINITY FBXSDK_LONGLONG(0x7fffffffffffffff)

Search for all occurrences

Definition at line 23 of file fbxtimecode.h.

#define FBXSDK_TC_FIX_DEN FBXSDK_LONGLONG(100000000)

Search for all occurrences

Definition at line 24 of file fbxtimecode.h.

#define FBXSDK_TC_MILLISECOND FBXSDK_LONGLONG(46186158)

Search for all occurrences

Definition at line 26 of file fbxtimecode.h.

#define FBXSDK_TC_SECOND FbxLongLong(FBXSDK_TC_MILLISECOND*1000)

Search for all occurrences

Definition at line 27 of file fbxtimecode.h.

#define FBXSDK_TC_MINUTE FbxLongLong(FBXSDK_TC_SECOND*60)

Search for all occurrences

Definition at line 28 of file fbxtimecode.h.

#define FBXSDK_TC_HOUR FbxLongLong(FBXSDK_TC_MINUTE*60)

Search for all occurrences

Definition at line 29 of file fbxtimecode.h.

#define FBXSDK_TC_DAY FbxLongLong(FBXSDK_TC_HOUR*24)

Search for all occurrences

Definition at line 30 of file fbxtimecode.h.

#define FBXSDK_TC_NTSC_FIELD FbxLongLong(FBXSDK_TC_SECOND/30/2)

Search for all occurrences

Definition at line 33 of file fbxtimecode.h.

#define FBXSDK_TC_NTSC_FRAME FbxLongLong(FBXSDK_TC_SECOND/30)

Search for all occurrences

Definition at line 34 of file fbxtimecode.h.

#define FBXSDK_TC_MNTSC_FIELD FbxLongLong(FBXSDK_TC_MNTSC_FRAME/2)

Search for all occurrences

Definition at line 37 of file fbxtimecode.h.

#define FBXSDK_TC_MNTSC_FRAME FbxLongLong(FBXSDK_TC_SECOND/30*1001/1000)

Search for all occurrences

Definition at line 38 of file fbxtimecode.h.

#define FBXSDK_TC_MNTSC_2_FRAMES FbxLongLong(FBXSDK_TC_MNTSC_FRAME*2)

Search for all occurrences

Definition at line 39 of file fbxtimecode.h.

#define FBXSDK_TC_MNTSC_30_FRAMES FbxLongLong(FBXSDK_TC_MNTSC_FRAME*30)

Search for all occurrences

Definition at line 40 of file fbxtimecode.h.

#define FBXSDK_TC_MNTSC_1798_FRAMES FbxLongLong(FBXSDK_TC_MNTSC_FRAME*1798)

Search for all occurrences

Definition at line 41 of file fbxtimecode.h.

#define FBXSDK_TC_MNTSC_1800_FRAMES FbxLongLong(FBXSDK_TC_MNTSC_FRAME*1800)

Search for all occurrences

Definition at line 42 of file fbxtimecode.h.

#define FBXSDK_TC_MNTSC_17982_FRAMES FbxLongLong(FBXSDK_TC_MNTSC_FRAME*17982)

Search for all occurrences

Definition at line 43 of file fbxtimecode.h.

#define FBXSDK_TC_MNTSC_107892_FRAMES FbxLongLong(FBXSDK_TC_MNTSC_FRAME*107892)

Search for all occurrences

Definition at line 44 of file fbxtimecode.h.

#define FBXSDK_TC_MNTSC_108000_FRAMES FbxLongLong(FBXSDK_TC_MNTSC_FRAME*108000)

Search for all occurrences

Definition at line 45 of file fbxtimecode.h.

#define FBXSDK_TC_MNTSC_1_SECOND FbxLongLong(FBXSDK_TC_MNTSC_FRAME*30)

Search for all occurrences

Definition at line 48 of file fbxtimecode.h.

#define FBXSDK_TC_MNTSC_1_MINUTE FbxLongLong(FBXSDK_TC_MNTSC_1_SECOND*60)

Search for all occurrences

Definition at line 49 of file fbxtimecode.h.

#define FBXSDK_TC_MNTSC_1_HOUR FbxLongLong(FBXSDK_TC_MNTSC_1_SECOND*3600)

Search for all occurrences

Definition at line 50 of file fbxtimecode.h.

#define FBXSDK_TC_MNTSC_NUM FbxULong(FBXSDK_TC_FIX_DEN*1000*30/1001)

Search for all occurrences

Definition at line 52 of file fbxtimecode.h.

#define FBXSDK_TC_MNTSC_DEN FBXSDK_TC_FIX_DEN

Search for all occurrences

Definition at line 53 of file fbxtimecode.h.

#define FBXSDK_TC_PAL_FIELD FbxLongLong(FBXSDK_TC_SECOND/25/2)

Search for all occurrences

Definition at line 56 of file fbxtimecode.h.

#define FBXSDK_TC_PAL_FRAME FbxLongLong(FBXSDK_TC_SECOND/25)

Search for all occurrences

Definition at line 57 of file fbxtimecode.h.

#define FBXSDK_TC_FILM_FRAME FbxLongLong(FBXSDK_TC_SECOND/24)

Search for all occurrences

Definition at line 60 of file fbxtimecode.h.

#define FBXSDK_TC_MFILM_FIELD FbxLongLong(FBXSDK_TC_MFILM_FRAME/2)

Search for all occurrences

Definition at line 63 of file fbxtimecode.h.

#define FBXSDK_TC_MFILM_FRAME FbxLongLong(FBXSDK_TC_SECOND/24*1001/1000)

Search for all occurrences

Definition at line 64 of file fbxtimecode.h.

#define FBXSDK_TC_MFILM_1_SECOND FbxLongLong(FBXSDK_TC_MFILM_FRAME*24)

Search for all occurrences

Definition at line 65 of file fbxtimecode.h.

#define FBXSDK_TC_MFILM_1_MINUTE FbxLongLong(FBXSDK_TC_MFILM_1_SECOND*60)

Search for all occurrences

Definition at line 66 of file fbxtimecode.h.

#define FBXSDK_TC_MFILM_1_HOUR FbxLongLong(FBXSDK_TC_MFILM_1_SECOND*3600)

Search for all occurrences

Definition at line 67 of file fbxtimecode.h.

#define FBXSDK_TC_MFILM_NUM FbxULong(FBXSDK_TC_FIX_DEN*1000*24/1001)

Search for all occurrences

Definition at line 69 of file fbxtimecode.h.

#define FBXSDK_TC_MFILM_DEN FBXSDK_TC_FIX_DEN

Search for all occurrences

Definition at line 70 of file fbxtimecode.h.

#define FBXSDK_TC_REM | ( |  | quot,
|  |  | num,
|  |  | den
| ) |  | ((quot) = (num) / (den), (quot) * (den))

Search for all occurrences

Definition at line 74 of file fbxtimecode.h.

#define FBXSDK_TC_HOUR_REM | ( |  | quot,
|  |  | num,
|  |  | den
| ) |  | ((quot) = ((num - (-FbxLongLong(num < 0) & (den - 1))) / (den)), (quot) * (den))

Search for all occurrences

Definition at line 75 of file fbxtimecode.h.

## Function Documentation

FBXSDK_DLL FbxLongLong FbxTCSeconds | ( | FbxLongLong | pTime | ) |

Search for all occurrences

FBXSDK_DLL FbxLongLong FbxTCMinutes | ( | FbxLongLong | pTime | ) |

Search for all occurrences

FBXSDK_DLL FbxLongLong FbxTCHours | ( | FbxLongLong | pTime | ) |

Search for all occurrences

FBXSDK_DLL FbxLongLong FbxTCSetRate | ( | int | pHour,
|  | int | pMinute,
|  | int | pSecond,
|  | FbxLongLong | pFrame,
|  | FbxLongLong | pPeriod
| ) |  |

Search for all occurrences

FBXSDK_DLL FbxLongLong FbxTCGetRate | ( | FbxLongLong | pTime,
|  | int & | pHour,
|  | int & | pMinute,
|  | int & | pSecond,
|  | int & | pFrame,
|  | FbxLongLong | pPeriod
| ) |  |

Search for all occurrences

FBXSDK_DLL FbxLongLong FbxTCSetNTSC | ( | int | pHour,
|  | int | pMinute,
|  | int | pSecond,
|  | FbxLongLong | pFrame,
|  | int | pField
| ) |  |

Search for all occurrences

FBXSDK_DLL FbxLongLong FbxTCGetNTSC | ( | FbxLongLong | pTime,
|  | int & | pHour,
|  | int & | pMinute,
|  | int & | pSecond,
|  | int & | pFrame,
|  | int & | pField
| ) |  |

Search for all occurrences

FBXSDK_DLL FbxLongLong FbxTCSetMNTSCnd | ( | int | pHour,
|  | int | pMinute,
|  | int | pSecond,
|  | FbxLongLong | pFrame,
|  | int | pField
| ) |  |

Search for all occurrences

FBXSDK_DLL FbxLongLong FbxTCGetMNTSCnd | ( | FbxLongLong | pTime,
|  | int & | pHour,
|  | int & | pMinute,
|  | int & | pSecond,
|  | int & | pFrame,
|  | int & | pField
| ) |  |

Search for all occurrences

FBXSDK_DLL FbxLongLong FbxTCSetMNTSC_2Xnd | ( | int | pHour,
|  | int | pMinute,
|  | int | pSecond,
|  | FbxLongLong | pFrame,
|  | int | pField
| ) |  |

Search for all occurrences

FBXSDK_DLL FbxLongLong FbxTCGetMNTSC_2Xnd | ( | FbxLongLong | pTime,
|  | int & | pHour,
|  | int & | pMinute,
|  | int & | pSecond,
|  | int & | pFrame,
|  | int & | pField
| ) |  |

Search for all occurrences

FBXSDK_DLL FbxLongLong FbxTCSetMNTSC | ( | int | pHour,
|  | int | pMinute,
|  | int | pSecond,
|  | FbxLongLong | pFrame,
|  | int | pField
| ) |  |

Search for all occurrences

FBXSDK_DLL FbxLongLong FbxTCGetMNTSC | ( | FbxLongLong | pTime,
|  | int & | pHour,
|  | int & | pMinute,
|  | int & | pSecond,
|  | int & | pFrame,
|  | int & | pField
| ) |  |

Search for all occurrences

FBXSDK_DLL FbxLongLong FbxTCSetPAL | ( | int | pHour,
|  | int | pMinute,
|  | int | pSecond,
|  | FbxLongLong | pFrame,
|  | int | pField
| ) |  |

Search for all occurrences

FBXSDK_DLL FbxLongLong FbxTCGetPAL | ( | FbxLongLong | pTime,
|  | int & | pHour,
|  | int & | pMinute,
|  | int & | pSecond,
|  | int & | pFrame,
|  | int & | pField
| ) |  |

Search for all occurrences

FBXSDK_DLL FbxLongLong FbxTCSetFILM | ( | int | pHour,
|  | int | pMinute,
|  | int | pSecond,
|  | FbxLongLong | pFrame
| ) |  |

Search for all occurrences

FBXSDK_DLL FbxLongLong FbxTCGetFILM | ( | FbxLongLong | pTime,
|  | int & | pHour,
|  | int & | pMinute,
|  | int & | pSecond,
|  | int & | pFrame
| ) |  |

Search for all occurrences

FBXSDK_DLL FbxLongLong FbxTCSetFILMND | ( | int | pHour,
|  | int | pMinute,
|  | int | pSecond,
|  | FbxLongLong | pFrame,
|  | int | pField
| ) |  |

Search for all occurrences

FBXSDK_DLL FbxLongLong FbxTCGetFILMND | ( | FbxLongLong | pTime,
|  | int & | pHour,
|  | int & | pMinute,
|  | int & | pSecond,
|  | int & | pFrame,
|  | int & | pField
| ) |  |

Search for all occurrences